# Trait ethcore_util::from_json::FromJson [−] [src]

    pub trait FromJson {
        fn from_json(json: &Json) -> Self;
    }

Trait allowing conversion from a JSON value.

## Required Methods

### `fn from_json(json: &Json) -> Self`

Convert a JSON value to an instance of this type.

## Implementors

- `impl FromJson for U256`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)